<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateExamExamResultRel extends Migration
{
  /**
   * Run the migrations.
   *
   * @return void
   */
  public function up()
  {
    Schema::create('exam_exam_result_rel', function (Blueprint $table) {
      $table->id();

      $table->unsignedBigInteger('exam_id');
      $table
        ->foreign('exam_id')
        ->references('id')
        ->on('exams')
        ->onDelete('cascade');

      $table->unsignedBigInteger('exam_result_id');
      $table
        ->foreign('exam_result_id')
        ->references('id')
        ->on('exam_results')
        ->onDelete('cascade');

      $table->unsignedBigInteger('student_id');
      $table
        ->foreign('student_id')
        ->references('id')
        ->on('students')
        ->onDelete('cascade');

      $table->unsignedBigInteger('teacher_id');
      $table
        ->foreign('teacher_id')
        ->references('id')
        ->on('teachers')
        ->onDelete('cascade');

      $table->timestamps();
    });
  }

  /**
   * Reverse the migrations.
   *
   * @return void
   */
  public function down()
  {
    Schema::dropIfExists('exam_exam_result_rel');
  }
}
